Subject: How to disable dcache on MPC82xx platform

From: Prashant Alange <[email-masked]>
Date: Mon, 8 Aug 2005 19:30:49 -0700

Hi all,

I am using alloc_bootmem_page() function to allocate memory required
in my custom ethernet driver . This driver reads buffer descriptors &
data from the memory allocated by bootmem page. This memory is updated
by CPM module. I am experiencing reliability issues with this driver.
It works fine for some time & then behaves abnormally. When driver
fails,  the values read from the allocated memory does not make any
sense. So I am thinking this could be because of cache since this
driver is working fine on non-os platform. I want to disable the
dcache for this memory region.

I am allocating about 700K of memory using alloc_bootmem_page() function.

Can anyone tell me how to do this?=20

I am running linux-2.4 on MCP8270 processor.

I tried flushing the dcache before accessing the memory but no luck.

Thanks for your time,
Prashant